### Enumeration

# FwupdPlugin ContextFlags

#### Declaration

    flags FwupdPlugin.ContextFlags

#### Description [src]

The context flags.

#### Members

`FU_CONTEXT_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 1.8.5
`FU_CONTEXT_FLAG_SAVE_EVENTS`

  Save events so that they can be replayed to emulate devices.

  - Value: `1`
  - Available since: 1.8.5
`FU_CONTEXT_FLAG_SYSTEM_INHIBIT`

  All devices are not updatable due to a system-wide inhibit.

  - Value: `2`
  - Available since: 1.8.10
`FU_CONTEXT_FLAG_LOADED_HWINFO`

  Hardware information has been loaded with a call to fu_context_load_hwinfo().

  - Value: `4`
  - Available since: 1.9.10
`FU_CONTEXT_FLAG_INHIBIT_VOLUME_MOUNT`

  Do not allow mounting volumes, usually set in self tests.

  - Value: `8`
  - Available since: 2.0.2
`FU_CONTEXT_FLAG_FDE_BITLOCKER`

  Bitlocker style full disk encryption is in use.

  - Value: `16`
  - Available since: 2.0.5
`FU_CONTEXT_FLAG_FDE_SNAPD`

  Snapd style full disk encryption is in use.

  - Value: `32`
  - Available since: 2.0.5
`FU_CONTEXT_FLAG_LOADED_UNKNOWN`

  Unknown flag value.

  - Value: `0`
  - Available since: 2.0.0